Subject: Re: [clue] draft-kyzivat-clue-signaling-04 - section 6 question 1

From: "Duckworth, Mark" <[email-masked]>
Date: Thu, 1 Aug 2013 04:45:32 -0700

I agree with Rob that this is a perfectly reasonable way to express Bob's abilities in the advertisement.  But I also agree with Roni that the text is misleading.

Instead of:
"Bob also has no simultaneity constraints, so includes all three captures in one simultaneous set."

How about this:
"Bob can send any combination of two video encodings, so includes all three captures in one simultaneous set.  The limit of two video encodings is expressed in the encoding group that has only two individual encodings available."

Mark

From: [email-masked] [mailto:[email-masked]] On Behalf Of Robert Hansen (rohanse2)
Sent: Wednesday, July 31, 2013 10:36 PM
To: Roni Even; [email-masked]
Subject: Re: [clue] draft-kyzivat-clue-signaling-04 - section 6 question 1

Er, yes, my understanding was that this is correct behaviour. Bob is a two-camera system and the implementation allows a maximum of two encodings to be sent. However, he has three captures he can send (the two static camera sources and the composed source). There are no simultaneity constraints with any of these captures - sending any one doesn't prevent him sending another one, so all of them go in one simultaneous set.

That seems correct by my understanding, as I though the primary point of simultaneous sets was to prevent cases that are physically impossible (eg, Eve has the option for a capture that is a zoomed-in camera view, and other option for a capture than is a zoomed-out view from the same camera - there's no way for her to do both simultaneously, which she will express by not including them in the same simultaneous set).

Rob

From: [email-masked] [mailto:[email-masked]] On Behalf Of Roni Even
Sent: 31 July 2013 17:05
To: [email-masked]
Subject: [clue] draft-kyzivat-clue-signaling-04 - section 6 question 1

Hi,
In the following paragraph the text says that Bob has no simultaneous constrains and list all three captures but the advertisement have only to individual encodes so it look like he can send only two captures?

"Bob also sends his CLUE Advertisement (ADVERTISEMENT 2).  He
   advertises two static captures representing his cameras.  He also
   includes a single composed capture for single-screen systems, in
   which he will composite the two camera views into a single video
   stream.  All three captures are in a single capture scene, with
   suitable capture scene entries to tell Alice that she should either
   subscribe to the two static captures, or the single composed capture.
   Bob also has no simultaneity constraints, so includes all three
   captures in one simultaneous set.  Bob also includes a single
   encoding group with two encoding IDs: "foo" and "bar"."

Roni